Xerces-C++: DOMProcessingInstruction Class Reference

Xerces-C++ 3.2.1

List of all members
DOMProcessingInstruction Class Referenceabstract

The `DOMProcessingInstruction` interface represents a "processing instruction", used in XML as a way to keep processor-specific information in the text of the document. More...

Inheritance diagram for DOMProcessingInstruction:

## Public Member Functions
Destructor
virtual | ~DOMProcessingInstruction ()
| Destructor. More...
Functions introduced in DOM Level 1
virtual const XMLCh * | getTarget () const =0
| The target of this processing instruction. More...
virtual const XMLCh * | getData () const =0
| The content of this processing instruction. More...
virtual void | setData (const XMLCh *data)=0
| Sets the content of this processing instruction. More...
Public Member Functions inherited from DOMNode
virtual | ~DOMNode ()
| Destructor. More...
virtual const XMLCh * | getNodeName () const =0
| The name of this node, depending on its type; see the table above. More...
virtual const XMLCh * | getNodeValue () const =0
| Gets the value of this node, depending on its type. More...
virtual NodeType | getNodeType () const =0
| An enum value representing the type of the underlying object. More...
virtual DOMNode * | getParentNode () const =0
| Gets the parent of this node. More...
virtual DOMNodeList * | getChildNodes () const =0
| Gets a `DOMNodeList` that contains all children of this node. More...
virtual DOMNode * | getFirstChild () const =0
| Gets the first child of this node. More...
virtual DOMNode * | getLastChild () const =0
| Gets the last child of this node. More...
virtual DOMNode * | getPreviousSibling () const =0
| Gets the node immediately preceding this node. More...
virtual DOMNode * | getNextSibling () const =0
| Gets the node immediately following this node. More...
virtual DOMNamedNodeMap * | getAttributes () const =0
| Gets a `DOMNamedNodeMap` containing the attributes of this node (if it is an `DOMElement`) or `null` otherwise. More...
virtual DOMDocument * | getOwnerDocument () const =0
| Gets the `DOMDocument` object associated with this node. More...
virtual DOMNode * | cloneNode (bool deep) const =0
| Returns a duplicate of this node. More...
virtual DOMNode * | insertBefore (DOMNode *newChild, DOMNode *refChild)=0
| Inserts the node `newChild` before the existing child node `refChild`. More...
virtual DOMNode * | replaceChild (DOMNode *newChild, DOMNode *oldChild)=0
| Replaces the child node `oldChild` with `newChild` in the list of children, and returns the `oldChild` node. More...
virtual DOMNode * | removeChild (DOMNode *oldChild)=0
| Removes the child node indicated by `oldChild` from the list of children, and returns it. More...
virtual DOMNode * | appendChild (DOMNode *newChild)=0
| Adds the node `newChild` to the end of the list of children of this node. More...
virtual bool | hasChildNodes () const =0
| This is a convenience method to allow easy determination of whether a node has any children. More...
virtual void | setNodeValue (const XMLCh *nodeValue)=0
| Sets the value of the node. More...
virtual void | normalize ()=0
| Puts all `DOMText` nodes in the full depth of the sub-tree underneath this `DOMNode`, including attribute nodes, into a "normal" form where only markup (e.g., tags, comments, processing instructions, CDATA sections, and entity references) separates `DOMText` nodes, i.e., there are neither adjacent `DOMText` nodes nor empty `DOMText` nodes. More...
virtual bool | isSupported (const XMLCh *feature, const XMLCh *version) const =0
| Tests whether the DOM implementation implements a specific feature and that feature is supported by this node. More...
virtual const XMLCh * | getNamespaceURI () const =0
| Get the namespace URI of this node, or `null` if it is unspecified. More...
virtual const XMLCh * | getPrefix () const =0
| Get the namespace prefix of this node, or `null` if it is unspecified. More...
virtual const XMLCh * | getLocalName () const =0
| Returns the local part of the qualified name of this node. More...
virtual void | setPrefix (const XMLCh *prefix)=0
| Set the namespace prefix of this node. More...
virtual bool | hasAttributes () const =0
| Returns whether this node (if it is an element) has any attributes. More...
virtual bool | isSameNode (const DOMNode *other) const =0
| Returns whether this node is the same node as the given one. More...
virtual bool | isEqualNode (const DOMNode *arg) const =0
| Tests whether two nodes are equal. More...
virtual void * | setUserData (const XMLCh *key, void *data, DOMUserDataHandler *handler)=0
| Associate an object to a key on this node. More...
virtual void * | getUserData (const XMLCh *key) const =0
| Retrieves the object associated to a key on a this node. More...
virtual const XMLCh * | getBaseURI () const =0
| The absolute base URI of this node or `null` if undefined. More...
virtual short | compareDocumentPosition (const DOMNode *other) const =0
| Compares the reference node, i.e. More...
virtual const XMLCh * | getTextContent () const =0
| This attribute returns the text content of this node and its descendants. More...
virtual void | setTextContent (const XMLCh *textContent)=0
| This attribute removes any possible children this node may have and, if the new string is not empty or null, replaced by a single `DOMText` node containing the string this attribute is set to. More...
virtual const XMLCh * | lookupPrefix (const XMLCh *namespaceURI) const =0
| Look up the prefix associated to the given namespace URI, starting from this node. More...
virtual bool | isDefaultNamespace (const XMLCh *namespaceURI) const =0
| This method checks if the specified `namespaceURI` is the default namespace or not. More...
virtual const XMLCh * | lookupNamespaceURI (const XMLCh *prefix) const =0
| Look up the namespace URI associated to the given prefix, starting from this node. More...
virtual void * | getFeature (const XMLCh *feature, const XMLCh *version) const =0
| This method makes available a `DOMNode`'s specialized interface. More...
virtual void | release ()=0
| Called to indicate that this Node (and its associated children) is no longer in use and that the implementation may relinquish any resources associated with it and its associated children. More...

## Protected Member Functions
Hidden constructors
| DOMProcessingInstruction ()
| DOMProcessingInstruction (const DOMProcessingInstruction &other)
Protected Member Functions inherited from DOMNode
| DOMNode ()
| DOMNode (const DOMNode &)

## Additional Inherited Members
Public Types inherited from DOMNode
enum | NodeType { ELEMENT_NODE = 1, ATTRIBUTE_NODE = 2, TEXT_NODE = 3, CDATA_SECTION_NODE = 4, ENTITY_REFERENCE_NODE = 5, ENTITY_NODE = 6, PROCESSING_INSTRUCTION_NODE = 7, COMMENT_NODE = 8, DOCUMENT_NODE = 9, DOCUMENT_TYPE_NODE = 10, DOCUMENT_FRAGMENT_NODE = 11, NOTATION_NODE = 12 }
| NodeType. More...
enum | DocumentPosition { DOCUMENT_POSITION_DISCONNECTED = 0x01, DOCUMENT_POSITION_PRECEDING = 0x02, DOCUMENT_POSITION_FOLLOWING = 0x04, DOCUMENT_POSITION_CONTAINS = 0x08, DOCUMENT_POSITION_CONTAINED_BY = 0x10, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC = 0x20 }
| DocumentPosition: More...

## Detailed Description

The `DOMProcessingInstruction` interface represents a "processing instruction", used in XML as a way to keep processor-specific information in the text of the document.

Since
  DOM Level 1

## Constructor & Destructor Documentation

## ◆ DOMProcessingInstruction() [1/2]

DOMProcessingInstruction::DOMProcessingInstruction | ( |  | ) |
| protected

## ◆ DOMProcessingInstruction() [2/2]

DOMProcessingInstruction::DOMProcessingInstruction | ( | const DOMProcessingInstruction & | other | ) |
| protected

## ◆ ~DOMProcessingInstruction()

virtual DOMProcessingInstruction::~DOMProcessingInstruction | ( |  | ) |
| virtual

Destructor.

References XERCES_CPP_NAMESPACE_END.

## Member Function Documentation

## ◆ getData()

virtual const XMLCh* DOMProcessingInstruction::getData | ( |  | ) | const
| pure virtual

The content of this processing instruction.

This is from the first non white space character after the target to the character immediately preceding the `?>`.

Exceptions

  DOMException | NO_MODIFICATION_ALLOWED_ERR: Raised when the node is readonly.

Since
  DOM Level 1

## ◆ getTarget()

virtual const XMLCh* DOMProcessingInstruction::getTarget | ( |  | ) | const
| pure virtual

The target of this processing instruction.

XML defines this as being the first token following the markup that begins the processing instruction.

Since
  DOM Level 1

## ◆ setData()

virtual void DOMProcessingInstruction::setData | ( | const XMLCh * | data | ) |
| pure virtual

Sets the content of this processing instruction.

This is from the first non white space character after the target to the character immediately preceding the `?>`.

Parameters

  data | The string containing the processing instruction

Since
  DOM Level 1

The documentation for this class was generated from the following file:

- DOMProcessingInstruction.hpp